"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@tsed/core");
const SpecTypes_1 = require("../../domain/SpecTypes");
const JsonSchemaMapperContainer_1 = require("../../registries/JsonSchemaMapperContainer");
function generate(model, options) {
    const specJson = {
        channels: (0, JsonSchemaMapperContainer_1.execMapper)("channels", [model], options)
    };
    specJson.tags = (0, core_1.uniqBy)(options.tags, "name");
    if (options.components?.schemas && Object.keys(options.components.schemas).length) {
        specJson.components = {
            ...options.components,
            schemas: options.components.schemas
        };
    }
    return specJson;
}
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("generate", generate, SpecTypes_1.SpecTypes.ASYNCAPI);
//# sourceMappingURL=generate.js.map