"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.propertiesMapper = void 0;
const JsonSchemaMapperContainer_1 = require("../../registries/JsonSchemaMapperContainer");
function propertiesMapper(input, options, parent) {
    if (input.isClass) {
        return (0, JsonSchemaMapperContainer_1.execMapper)("class", [input], options);
    }
    return (0, JsonSchemaMapperContainer_1.execMapper)("any", [input], {
        ...options,
        genericLabels: parent.genericLabels
    });
}
exports.propertiesMapper = propertiesMapper;
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("properties", propertiesMapper);
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("items", propertiesMapper);
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("additionalProperties", propertiesMapper);
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("propertyNames", propertiesMapper);
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("contains", propertiesMapper);
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("dependencies", propertiesMapper);
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("patternProperties", propertiesMapper);
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("additionalItems", propertiesMapper);
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("not", propertiesMapper);
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("definitions", propertiesMapper);
//# sourceMappingURL=propertiesMapper.js.map