"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.operationInFilesMapper = void 0;
const core_1 = require("@tsed/core");
const JsonSchemaMapperContainer_1 = require("../../registries/JsonSchemaMapperContainer");
function operationInFilesMapper(parameter, { jsonSchema }) {
    const schema = {
        type: "string",
        format: "binary",
        oneOf: undefined
    };
    if (jsonSchema.type === "array") {
        jsonSchema.items = (0, core_1.cleanObject)({
            ...jsonSchema.items,
            ...schema
        });
        parameter.schema = jsonSchema;
        return parameter;
    }
    parameter.schema = (0, core_1.cleanObject)({
        ...jsonSchema,
        ...schema
    });
    return parameter;
}
exports.operationInFilesMapper = operationInFilesMapper;
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("operationInFiles", operationInFilesMapper);
//# sourceMappingURL=operationInFilesMapper.js.map