"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Children = void 0;
const core_1 = require("@tsed/core");
const jsonEntityFn_1 = require("../common/jsonEntityFn");
/**
 * Add Children class to compose routes
 *
 * @decorator
 * @swagger
 * @schema
 * @classDecorator
 * @param children
 */
function Children(...children) {
    return (0, jsonEntityFn_1.JsonEntityFn)((store) => {
        store.store.set("childrenControllers", children);
        children.forEach((childToken) => {
            core_1.Store.from(childToken).set("parentController", store.token);
        });
    });
}
exports.Children = Children;
//# sourceMappingURL=children.js.map