"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OneOf = void 0;
const jsonEntityFn_1 = require("./jsonEntityFn");
/**
 * See https://tools.ietf.org/html/draft-wright-json-schema-validation-01#section-6.28
 *
 * ::: warning
 * OneOf isn't supported by OS2
 * :::
 *
 * @decorator
 * @validation
 * @swagger
 * @schema
 * @classDecorator
 * @input
 * @param oneOf
 */
function OneOf(...oneOf) {
    return (0, jsonEntityFn_1.JsonEntityFn)((entity) => {
        entity.itemSchema.oneOf(oneOf);
        entity.type = Object;
    });
}
exports.OneOf = OneOf;
//# sourceMappingURL=oneOf.js.map