"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AcceptMime = void 0;
const core_1 = require("@tsed/core");
const produces_1 = require("./produces");
/**
 * Set a mime list which are acceptable and checks if the specified content types are acceptable, based on the request’s Accept HTTP header field.
 *
 * ```typescript
 *  @Controller('/mypath')
 *  export class MyCtrl {
 *
 *    @Get('/')
 *    @AcceptMime('application/json')
 *    public getResource(){}
 *  }
 * ```
 *
 * @param mimes
 * @decorator
 * @operation
 * @response
 */
function AcceptMime(...mimes) {
    return (0, core_1.useDecorators)((0, produces_1.Produces)(...mimes), (0, core_1.StoreSet)("acceptMimes", mimes));
}
exports.AcceptMime = AcceptMime;
//# sourceMappingURL=acceptMime.js.map