"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Location = void 0;
const returns_1 = require("./returns");
/**
 * Sets the response Location HTTP header to the specified path parameter.
 *
 * ```typescript
 *  @Location('/foo/bar', {description: 'Location to the next step'})
 *  @Location('http://example.com')
 *  @Location('back')
 *  private myMethod() {
 *
 *  }
 * ```
 *
 * A path value of “back” has a special meaning, it refers to the URL specified in the `Referer` header of the request. If the `Referer` header was not specified, it refers to “/”.
 *
 * @param location
 * @param meta
 * @returns {Function}
 * @decorator
 * @operation
 */
function Location(location, meta) {
    return (0, returns_1.Returns)().Location(location, meta);
}
exports.Location = Location;
//# sourceMappingURL=location.js.map