"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonClassStore = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@tsed/core");
const JsonEntityStore_1 = require("./JsonEntityStore");
const JsonSchema_1 = require("./JsonSchema");
const jsonEntityComponent_1 = require("../decorators/config/jsonEntityComponent");
let JsonClassStore = class JsonClassStore extends JsonEntityStore_1.JsonEntityStore {
    /**
     * List of children JsonEntityStore (properties or methods or params)
     */
    children = new Map();
    get path() {
        return this.store.get("path", "/");
    }
    set path(path) {
        this.store.set("path", path);
    }
    build() {
        if (!this._type) {
            this.buildType(this.target);
        }
        this._type = this._type || Object;
        this._schema = JsonSchema_1.JsonSchema.from({
            type: this.type
        });
    }
};
JsonClassStore = tslib_1.__decorate([
    (0, jsonEntityComponent_1.JsonEntityComponent)(core_1.DecoratorTypes.CLASS)
], JsonClassStore);
exports.JsonClassStore = JsonClassStore;
//# sourceMappingURL=JsonClassStore.js.map