"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getJsonType = exports.JSON_TYPES = void 0;
const core_1 = require("@tsed/core");
/**
 * @ignore
 */
exports.JSON_TYPES = ["string", "number", "integer", "boolean", "object", "array", "null", "any"];
function getJsonType(value) {
    if (value === null) {
        return "null";
    }
    if ((0, core_1.isPrimitiveOrPrimitiveClass)(value)) {
        if (exports.JSON_TYPES.indexOf(value) > -1) {
            return value;
        }
        if (typeof value === "string") {
            if (value === "file") {
                return "file";
            }
            return "generic";
        }
        return (0, core_1.primitiveOf)(value);
    }
    if (value === Array) {
        return "array";
    }
    if ((0, core_1.isArray)(value)) {
        return value.map(getJsonType);
    }
    if (value === Set) {
        return "array";
    }
    if ((0, core_1.isDate)(value) || (0, core_1.isBuffer)(value)) {
        return "string";
    }
    return "object";
}
exports.getJsonType = getJsonType;
//# sourceMappingURL=getJsonType.js.map